﻿from tkinter import *
import pygame.mixer

def richtig_sound_spielen():
    anzahl_gut.set(anzahl_gut.get() + 1)
    richtig_s.play()
   
def falsch_sound_spielen():
    anzahl_schlecht.set(anzahl_schlecht.get() + 1)
    falsch_s.play()

app = Tk()
app.title("vKbF-TV")
app.geometry('300x110+200+100')

sounds = pygame.mixer
sounds.init()
             
richtig_s = sounds.Sound("correct.wav")
falsch_s   = sounds.Sound("wrong.wav")

anzahl_gut = IntVar()
anzahl_gut.set(0)
anzahl_schlecht = IntVar()
anzahl_schlecht.set(0)

lab = Label(app, text='Klicken Sie auf die Buttons, wenn Sie bereit sind!', height = 3)
lab.pack()

lab1 = Label(app, textvariable = anzahl_gut)
lab1.pack(side = 'left')

lab2 = Label(app, textvariable = anzahl_schlecht)
lab2.pack(side = 'right')   

b1 = Button(app, text = "Richtig!", width = 10, command = richtig_sound_spielen)
b1.pack(side = 'left', padx = 10, pady = 10)

b2 = Button(app, text = "Falsch!", width = 10, command = falsch_sound_spielen)
b2.pack(side = 'right', padx = 10, pady = 10)

app.mainloop()
