from tkinter import *

def daten_speichern():
    datei = open("sendungen.txt", "a")    
    datei.write("Depot:\n")
    datei.write("%s\n" % depot.get())
    datei.write("Beschreibung:\n")
    datei.write("%s\n" % beschreibung.get())
    datei.write("Adresse:\n")
    datei.write("%s\n" % adresse.get("1.0", END))
    depot.set(None)
    beschreibung.delete(0, END)
    beschreibung.delete(0, END)
    adresse.delete("1.0", END)

def depots_lesen(dateiname):
    depots = []
    datei = open(dateiname)
    for zeile in datei:
        depots.append(zeile.rstrip())
    return depots

app = Tk()
app.title('PPD-Versandsystem')
Label(app, text = "Depot:").pack()
depot = StringVar()
depots = depots_lesen("depots.txt")
OptionMenu(app, depot, *depots).pack()
depot.set(depots[0])
Label(app, text = "Beschreibung:").pack()
beschreibung = Entry(app)
beschreibung.pack()
Label(app, text = "Adresse:").pack()
adresse = Text(app)
adresse.pack()
Button(app, text = "Speichern", command = daten_speichern).pack()
app.mainloop()
