from tkinter import *
import pygame.mixer
app = Tk()
app.title("DJ von Kopf bis Fuß")

musikdatei = "50459_M_RED_Nephlimizer.wav"

mixer = pygame.mixer
mixer.init()

def track_an_aus():
    if track_laueft.get() == 1:
        track.play(loops = -1)
    else:
        track.stop()

def laut_ändern(v):
    track.set_volume(volume.get())

track = mixer.Sound(musikdatei)
track_laueft = IntVar()
track_button = Checkbutton(app, variable = track_laueft,
                                command  = track_an_aus, 
                                text     = musikdatei)
track_button.pack(side = LEFT)

volume = DoubleVar()
volume.set(track.get_volume())
laut_scale = Scale(variable    = volume, 
                   from_       = 0.0, 
                   to          = 1.0,
                   resolution  = 0.1, 
                   command     = laut_ändern,
                   label       = "Lautstärke", 
                   orient      = HORIZONTAL)
laut_scale.pack(side = RIGHT)

def schließen():
    track.stop()
    app.destroy()

app.protocol("WM_DELETE_WINDOW", schließen)
app.mainloop()
